# Uses of Interface
net.shibboleth.profile.plugin.Plugin

Packages that use Plugin
Package
Description
net.shibboleth.profile.installablecomponent
Classes for "Installable Components".
net.shibboleth.profile.plugin
Classes for plugins.

## Uses of Plugin in net.shibboleth.profile.installablecomponent

Constructors in net.shibboleth.profile.installablecomponent with parameters of type Plugin
Modifier
Constructor
Description
``
`InstallableComponentVersion(Plugin<? extends Module> plugin)`
Constructor.

## Uses of Plugin in net.shibboleth.profile.plugin

Classes in net.shibboleth.profile.plugin that implement Plugin
Modifier and Type
Class
Description
`class`
`AbstractPlugin<T extends Module>`
A base class implementing `Plugin` that defaults common settings.
`class`
`PropertyDrivenPlugin<T extends Module>`
Implementation of `Plugin` relying on Java `Properties`.
Constructor parameters in net.shibboleth.profile.plugin with type arguments of type Plugin
Modifier
Constructor
Description
``
`PropertyDrivenPlugin(Class<? extends Plugin<T>> claz)`
Constructor.